org.apache.lucene.index

## Class CheckIndex.Status.SegmentInfoStatus

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Status.SegmentInfoStatus

- Enclosing class:
    CheckIndex.Status

      public static class CheckIndex.Status.SegmentInfoStatus
      extends Object

  Holds the status of each segment in the index. See `CheckIndex.Status.segmentInfos`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Codec` | `codec` Codec used to read this segment.
    `boolean` | `compound` True if segment is compound file format.
    `long` | `deletionsGen` Current deletions generation.
    `Map<String,String>` | `diagnostics` Map that includes certain debugging details that IndexWriter records into each segment it creates
    `CheckIndex.Status.DocValuesStatus` | `docValuesStatus` Status for testing of DocValues (null if DocValues could not be tested).
    `Throwable` | `error` Exception thrown during segment test (null on success)
    `CheckIndex.Status.FieldInfoStatus` | `fieldInfoStatus` Status for testing of field infos
    `CheckIndex.Status.FieldNormStatus` | `fieldNormStatus` Status for testing of field norms (null if field norms could not be tested).
    `boolean` | `hasDeletions` True if this segment has pending deletions.
    `CheckIndex.Status.IndexSortStatus` | `indexSortStatus` Status of index sort
    `CheckIndex.Status.LiveDocStatus` | `liveDocStatus` Status for testing of livedocs
    `int` | `maxDoc` Document count (does not take deletions into account).
    `String` | `name` Name of the segment.
    `int` | `numFiles` Number of files referenced by this segment.
    `boolean` | `openReaderPassed` True if we were able to open a CodecReader on this segment.
    `CheckIndex.Status.PointsStatus` | `pointsStatus` Status for testing of PointValues (null if PointValues could not be tested).
    `double` | `sizeMB` Net size (MB) of the files referenced by this segment.
    `CheckIndex.Status.SoftDeletsStatus` | `softDeletesStatus` Status of soft deletes
    `CheckIndex.Status.StoredFieldStatus` | `storedFieldStatus` Status for testing of stored fields (null if stored fields could not be tested).
    `CheckIndex.Status.TermIndexStatus` | `termIndexStatus` Status for testing of indexed terms (null if indexed terms could not be tested).
    `CheckIndex.Status.TermVectorStatus` | `termVectorStatus` Status for testing of term vectors (null if term vectors could not be tested).
    `int` | `toLoseDocCount` doc count in this segment

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      Name of the segment.

    - #### codec

          public Codec codec

      Codec used to read this segment.

    - #### maxDoc

          public int maxDoc

      Document count (does not take deletions into account).

    - #### compound

          public boolean compound

      True if segment is compound file format.

    - #### numFiles

          public int numFiles

      Number of files referenced by this segment.

    - #### sizeMB

          public double sizeMB

      Net size (MB) of the files referenced by this segment.

    - #### hasDeletions

          public boolean hasDeletions

      True if this segment has pending deletions.

    - #### deletionsGen

          public long deletionsGen

      Current deletions generation.

    - #### openReaderPassed

          public boolean openReaderPassed

      True if we were able to open a CodecReader on this segment.

    - #### toLoseDocCount

          public int toLoseDocCount

      doc count in this segment

    - #### diagnostics

          public Map<String,String> diagnostics

      Map that includes certain debugging details that IndexWriter records into each segment it creates

    - #### liveDocStatus

          public CheckIndex.Status.LiveDocStatus liveDocStatus

      Status for testing of livedocs

    - #### fieldInfoStatus

          public CheckIndex.Status.FieldInfoStatus fieldInfoStatus

      Status for testing of field infos

    - #### fieldNormStatus

          public CheckIndex.Status.FieldNormStatus fieldNormStatus

      Status for testing of field norms (null if field norms could not be tested).

    - #### termIndexStatus

          public CheckIndex.Status.TermIndexStatus termIndexStatus

      Status for testing of indexed terms (null if indexed terms could not be tested).

    - #### storedFieldStatus

          public CheckIndex.Status.StoredFieldStatus storedFieldStatus

      Status for testing of stored fields (null if stored fields could not be tested).

    - #### termVectorStatus

          public CheckIndex.Status.TermVectorStatus termVectorStatus

      Status for testing of term vectors (null if term vectors could not be tested).

    - #### docValuesStatus

          public CheckIndex.Status.DocValuesStatus docValuesStatus

      Status for testing of DocValues (null if DocValues could not be tested).

    - #### pointsStatus

          public CheckIndex.Status.PointsStatus pointsStatus

      Status for testing of PointValues (null if PointValues could not be tested).

    - #### indexSortStatus

          public CheckIndex.Status.IndexSortStatus indexSortStatus

      Status of index sort

    - #### softDeletesStatus

          public CheckIndex.Status.SoftDeletsStatus softDeletesStatus

      Status of soft deletes

    - #### error

          public Throwable error

      Exception thrown during segment test (null on success)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.